Enable more advanced CTS tests.

Add the possibility to make the generated random values for one argument
be dependent on another one.  Add the possibility to add precision limits.
Change the way precision of results is verified.

This is a redo of the mess that's CL 84333 and 84332

Change-Id: I6c59ee4588627540b5bf1952adaf70b061ccc025
diff --git a/api/generate.sh b/api/generate.sh
new file mode 100644
index 0000000..4aa933c
--- /dev/null
+++ b/api/generate.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# Copyright (C) 2014 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+g++ gen_runtime.cpp -Wall -o gen_runtime
+./gen_runtime -v 19 rs_core_math.spec
+mv Test*.java ../../../cts/tests/tests/renderscript/src/android/renderscript/cts/
+mv Test*.rs ../../../cts/tests/src/android/renderscript/cts/
+mv rs_core_math.rsh ../scriptc/
+rm ./gen_runtime